> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payaza.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate Refund

> This endpoint is used to initiate a refund for a card transaction.



## OpenAPI

````yaml /openapi.json post /refund-chargeback/refund/merchant/api/refund
openapi: 3.0.1
info:
  title: Payaza Documentation
  version: 2.0.0
  description: >-
    API reference for processing payments using Card, Bank Transfer, USSD, and
    QR Code methods.
servers:
  - url: https://api.payaza.africa/live
security:
  - ApiKeyAuth: []
  - TenantID: []
  - ProductID: []
tags:
  - name: Transfers
    description: >-
      Transfers are transactions made from your Payaza account to beneficiaries.
      Merchants can instantly transfer funds from their available balance. For
      every transfer, you need to specify the amount and the beneficiary’s
      details. You become eligible to make transfers after you have been
      verified. (you sign up, finish account activation and KYC verification).
  - name: Payaza Account
    description: >-
      This is our internal account that can be used to make payouts to other
      bank accounts, in single or in bulk. The Payaza account can also be used
      to receive settlements. It can also be used to track the transfer status
      of your transactions and check your balance instantly
  - name: Sub Accounts
    description: >-
      This enables you to establish Sub Payaza accounts for your customers. Each
      sub-account comes with an assigned static virtual account, facilitating
      direct funding for individual accounts. Furthermore, the Main Payaza
      account can directly initiate funding for each sub-account. These
      sub-accounts serve the purpose of managing unique account positions or
      balances and facilitating disbursements from these positions to specified
      beneficiaries.
  - name: EUR Accounts
    description: >-
      This endpoints enable you to create EUR subaccounts which can be used to
      make transfers as required .
  - name: Apple Pay and Google Pay
    description: >-
      Apple Pay and Google Pay give your customers a fast, familiar, and secure
      way to complete payments. Our APIs provide a gateway to provide these
      services to your users for a smooth payment experience.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts are bank accounts that are created for a specific purpose
      and last for specified durations. Virtual accounts are issued by Payaza’s
      partner banks. Our virtual account APIs can be used to create virtual
      accounts and perform other tasks relevant to virtual accounts. Virtual
      accounts are created to foster easy payment collections for your business
      and platform. 

      Static/Reserved Account: This virtual account is created by the merchant
      and remains valid indefinitely. It can be used multiple times and does not
      expire. 

      Dynamic Account: This virtual account is generated for a specific
      transaction or purpose. Please note that dynamic virtual account remains
      valid for a temporary period of time or until a payment of the specified
      amount is received. Upon expiry, a merchant can generate another one for a
      different purpose.
  - name: Card Collection
    description: >-
      The Card Collection APIs can be used to make card transactions, refund
      transactions that have been performed, check the status of a transaction
      and so much more.
  - name: Card Tokenisation
    description: >-
      The Card Tokenisation APIs are used to create card tokens, charge cards
      using tokens, retrieve all tokens created by a merchant account and
      deleting any card token as desired.
  - name: Refunds And Chargebacks
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Branches
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Auth-Capture-Void
    description: >-
      The Auth-Capture-Void APIs provide a two-phase payment process where
      transactions are first authorized, then captured or voided. This allows
      merchants to hold funds and complete the transaction in the future.
  - name: Momo and ZAR Collections
    description: APIs for MoMo, ZAR and XOF collections.
  - name: Check Transaction Status(Merchant Reference)
    description: >-
      This endpoint is used to check the transaction status of a transaction
      using the Merchant Reference..
paths:
  /refund-chargeback/refund/merchant/api/refund:
    post:
      tags:
        - Refunds And Chargebacks
      summary: Initiate Refund
      description: This endpoint is used to initiate a refund for a card transaction.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/initiateRefundRequest'
            examples:
              Initiate Refund:
                summary: Initiate Refund
                value:
                  transaction_reference: APRQWE1001
                  refund_amount: 0.05
                  refund_reason: Refund
      responses:
        '200':
          description: Initiate Refund Response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/initiateRefundResponse'
              examples:
                Initiate Refund:
                  summary: Initiate Refund
                  value:
                    message: Operation Completed
                    data:
                      message: Refund Processed Successfully
                      refund_transaction_reference: RF20230228-LDUUSD
                      payment_transaction_reference: APRQWE1001
                      status: SUCCESS
                      original_transaction_amount: 0.05
                      refunded_amount: 0.05
                      successful: true
        '400':
          description: Invalid request
      security:
        - ApiKeyAuth: []
components:
  schemas:
    initiateRefundRequest:
      title: Initiate Refund Request
      type: object
      required:
        - transaction_reference
        - refund_amount
      properties:
        transaction_reference:
          type: string
          description: Unique reference of the original transaction to be refunded.
          example: APRQWE1001
        refund_amount:
          type: number
          format: double
          description: Amount to be refunded.
          example: 0.05
        refund_reason:
          type: string
          nullable: true
          description: Reason for the refund.
          example: Refund
    initiateRefundResponse:
      title: Initiate Refund Response
      type: object
      properties:
        message:
          type: string
          description: General status message.
          example: Operation Completed
        data:
          type: object
          properties:
            message:
              type: string
              description: Specific message about the refund.
              example: Refund Processed Successfully
            refund_transaction_reference:
              type: string
              description: Unique reference for the refund transaction.
              example: RF20230228-LDUUSD
            payment_transaction_reference:
              type: string
              description: Reference of the original payment transaction.
              example: APRQWE1001
            status:
              type: string
              description: Status of the refund (e.g., SUCCESS, PENDING).
              example: SUCCESS
            original_transaction_amount:
              type: number
              format: double
              description: The amount of the original transaction.
              example: 0.05
            refunded_amount:
              type: number
              format: double
              description: The amount actually refunded.
              example: 0.05
            successful:
              type: boolean
              description: Indicates if the refund operation was successful.
              example: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Payaza {{Public API Key in Base 64}}
    TenantID:
      type: apiKey
      in: header
      name: X-TenantID
      description: live or test
    ProductID:
      type: apiKey
      in: header
      name: X-ProductID
      description: 'default value is ‟app” '

````